summaryrefslogtreecommitdiffstats
path: root/snap
diff options
context:
space:
mode:
Diffstat (limited to 'snap')
-rwxr-xr-xsnap/hooks/configure9
1 files changed, 4 insertions, 5 deletions
diff --git a/snap/hooks/configure b/snap/hooks/configure
index 15d68a19..b215cc85 100755
--- a/snap/hooks/configure
+++ b/snap/hooks/configure
@@ -15,11 +15,10 @@ if [ "$value" = "true" ]; then
port=$(snapctl get port)
[ "x" != "x${bind_port}" ] && sed -i 's|proxy / localhost:.* {|proxy / localhost:'"${bind_port}"' {|g' $SNAP_COMMON/Caddyfile
[ "x" != "x$port" ] && sed -i 's|http://:.*|http://:'"${port}"'|g' $SNAP_COMMON/Caddyfile
- snapctl start caddy-service 2>&1 || true
+ snapctl start --enable ${SNAP_NAME}.caddy 2>&1 || true
else
- snapctl stop caddy-service 2>&1 || true
+ snapctl stop --disable ${SNAP_NAME}.caddy 2>&1 || true
fi
-# restart mongo and wekan service
-snapctl restart mongodb 2>&1 || true
-snapctl restart wekan 2>&1 || true
+# restart all services
+snapctl restart ${SNAP_NAME} 2>&1 || true